## EColorCombo

EColorCombo

## Functions

GtkWidget * | e_color_combo_new ()
GtkWidget * | e_color_combo_new_defaults ()
void | e_color_combo_popup ()
void | e_color_combo_popdown ()
void | e_color_combo_get_current_color ()
void | e_color_combo_set_current_color ()
void | e_color_combo_get_default_color ()
void | e_color_combo_set_default_color ()
const gchar * | e_color_combo_get_default_label ()
void | e_color_combo_set_default_label ()
gboolean | e_color_combo_get_default_transparent ()
void | e_color_combo_set_default_transparent ()
GList * | e_color_combo_get_palette ()
void | e_color_combo_set_palette ()

## Properties

GdkRGBA * | current-color | Read / Write
GdkRGBA * | default-color | Read / Write / Construct
char * | default-label | Read / Write / Construct
gboolean | default-transparent | Read / Write / Construct
gpointer | palette | Read / Write
gboolean | popup-shown | Read / Write

## Signals

void | activated | Run Last
void | popdown | Action
void | popup | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── EColorCombo

## Description

## Functions

### e_color_combo_new ()

    GtkWidget *
    e_color_combo_new (void);

### e_color_combo_new_defaults ()

    GtkWidget *
    e_color_combo_new_defaults (GdkRGBA *default_color,
                                const gchar *default_label);

### e_color_combo_popup ()

    void
    e_color_combo_popup (EColorCombo *combo);

### e_color_combo_popdown ()

    void
    e_color_combo_popdown (EColorCombo *combo);

### e_color_combo_get_current_color ()

    void
    e_color_combo_get_current_color (EColorCombo *combo,
                                     GdkRGBA *rgba);

### e_color_combo_set_current_color ()

    void
    e_color_combo_set_current_color (EColorCombo *combo,
                                     const GdkRGBA *color);

### e_color_combo_get_default_color ()

    void
    e_color_combo_get_default_color (EColorCombo *combo,
                                     GdkRGBA *color);

### e_color_combo_set_default_color ()

    void
    e_color_combo_set_default_color (EColorCombo *combo,
                                     const GdkRGBA *default_color);

### e_color_combo_get_default_label ()

    const gchar *
    e_color_combo_get_default_label (EColorCombo *combo);

### e_color_combo_set_default_label ()

    void
    e_color_combo_set_default_label (EColorCombo *combo,
                                     const gchar *text);

### e_color_combo_get_default_transparent ()

    gboolean
    e_color_combo_get_default_transparent (EColorCombo *combo);

### e_color_combo_set_default_transparent ()

    void
    e_color_combo_set_default_transparent (EColorCombo *combo,
                                           gboolean transparent);

### e_color_combo_get_palette ()

    GList *
    e_color_combo_get_palette (EColorCombo *combo);

### e_color_combo_set_palette ()

    void
    e_color_combo_set_palette (EColorCombo *combo,
                               GList *palette);

## Property Details

### The `“current-color”` property

      “current-color”            GdkRGBA *

The currently selected color.

Owner: EColorCombo

Flags: Read / Write

### The `“default-color”` property

      “default-color”            GdkRGBA *

The color associated with the default button.

Owner: EColorCombo

Flags: Read / Write / Construct

### The `“default-label”` property

      “default-label”            char *

The label for the default button.

Owner: EColorCombo

Flags: Read / Write / Construct

Default value: "Default"

### The `“default-transparent”` property

      “default-transparent”      gboolean

Whether the default color is transparent.

Owner: EColorCombo

Flags: Read / Write / Construct

Default value: FALSE

### The `“palette”` property

      “palette”                  gpointer

Custom color palette.

Owner: EColorCombo

Flags: Read / Write

### The `“popup-shown”` property

      “popup-shown”              gboolean

Whether the combo's dropdown is shown.

Owner: EColorCombo

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“activated”` signal

    void
    user_function (EColorCombo *ecolorcombo,
                   gpointer     user_data)

Flags: Run Last

### The `“popdown”` signal

    void
    user_function (EColorCombo *ecolorcombo,
                   gpointer     user_data)

Flags: Action

### The `“popup”` signal

    void
    user_function (EColorCombo *ecolorcombo,
                   gpointer     user_data)

Flags: Action